{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in rec {
        port_exporter = pkgs.buildGoModule {
          name = "port_exporter";
          src = ./.;
          vendorHash = "sha256-pQaZCAVdlisMUuyyKAkudgHDthZ4o/JglWgo0DXn5t4=";
          doCheck = false;
        };
        devShell = pkgs.mkShell {
          buildInputs = with pkgs; [
            python3
            prometheus-node-exporter
            coreutils
            curl
            jq
            prometheus.cli
            prom2json
            port_exporter
          ];
       };
      }
    );
}
